<template>
    <div>
        <el-dialog :close-on-click-modal="false" width="60%" title="物资详细信息" :visible.sync="showFormDias"
            :before-close="handleClose" top="8vh">
            <el-table v-loading="loading" :data="tableData" style="width: 100%" :cell-style="{ 'text-align': 'center' }"
                :header-cell-style="{ 'text-align': 'center' }" height="61vh">
                <el-table-column type="index" label="序号" width="60" />
                <el-table-column prop="name" label="物资名称" min-width="150" />
                <el-table-column prop="name" label="计量单位" width="110" />
                <el-table-column prop="price" label="单价" width="110" />
                <el-table-column prop="inCount" label="采购数量" width="110" />
                <el-table-column prop="outCount" label="领用数量" width="110" />
                <el-table-column prop="exitCount" label="库存数量" width="110" />
            </el-table>
            <el-pagination ref="paginationPanel" align="right" background :current-page="reqData.page"
                :page-sizes="[20, 30, 40, 50]" :page-size="reqData.pageSize" layout="total, sizes, prev, pager, next, jumper"
                :total="total" @size-change="handleSizeChange" @current-change="handleCurrentChange" />
            <span slot="footer" class="dialog-footer">
                <el-button @click="handleClose">取 消</el-button>
            </span>
        </el-dialog>
    </div>
</template>
<script>
import api from '../api'
import { TableMixin } from '@/mixins/tableMixin'
export default {
    name: 'detailsDialog',
    mixins: [TableMixin],
    components: {

    },
    props: {
    },
    data() {
        return {
            loading: false,
            tableData: [],
            showFormDias: false,
            reqData: {
                page: 1,
                pageSize: 20,
            },
            total: 0
        }
    },

    created() { },
    mounted() { },
    methods: {
        open(data) {
            this.showFormDias = true
            this.reqData = {...data,...this.reqData}
            this.getTableData()
        },
        getTableData() {
            this.loading = true
            this.tableData = []
            api.getTableData(this.reqData, res => {
                if (res.state) {
                    this.tableData = res.value.rows
                    this.total = res.value.total
                }
                this.loading = false
            })
        },
        handleClose() {
            this.showFormDias = false
            this.tableData = []
        },
        handleSizeChange(e) {
            this.reqData.pageSize = e
            this.getTableData()
        },
        handleCurrentChange(e) {
            this.reqData.page = e
            this.getTableData()
        }
    }
}
</script>
<style lang="scss" scoped></style>